/*
 * umount(1); version 2-like  --  author Klaus Knopper
 * needed for static ash on tight linux bootdisk
 */
#include <sys/mount.h>
#include <sys/errno.h>
#include "bltin.h"

static int syntax(void)
{
 error(
 "Usage: umount device\n"
 "This is a builtin command. /etc/fstab and /etc/mtab are NOT supported.\n"
 );
 return -1;
}

int umountcmd(int argc, char **argv)
{
 int err;
 if(argc<1) return syntax();
 /* Do the umount */
 if((err=umount(argv[1]))!=0)
  { 
   error("umount: Can't unmount %s: %s\n",argv[1],strerror(err));
   return -1;
  }
 return 0;
}
